textures/icyworld/stratosphere
{
    qer_editorimage env/icyworld/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globaltexture
    q3map_lightrgb 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightsubdivide 256
    surfaceparm sky
    q3map_sunext 1.0 1.0 1.0 135 270 45 2 16
    skyparms env/icyworld/stratosphere - -
}

textures/icyworld/starfield
{
    qer_editorimage env/icyworld/starfield_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globaltexture
    q3map_lightrgb 1.0 1.0 1.0
    q3map_surfacelight 0
    q3map_lightsubdivide 256
    surfaceparm sky
    q3map_sunext 1.0 1.0 1.0 40 90 90 2 16
    skyparms env/icyworld/starfield - -
}

textures/icyworld/mirror
{
    qer_editorimage textures/icyworld/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
//    surfaceparm detail
    {
        map textures/_icyworld/mirror.tga
        blendfunc gl_one gl_one_minus_src_alpha
        depthwrite
    }
    {
        map textures/_icyworld/q3a_sfx_mirror.jpg
        blendfunc gl_zero gl_one_minus_src_color
    }
}

textures/icyworld/tileblack
{
    q3map_lightimage textures/icyworld/tileblack.tga
    qer_editorimage textures/icyworld/qer_tileblack_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileblack.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_sl
{
    qer_editorimage textures/icyworld/tileblack.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_hl
{
    qer_editorimage textures/icyworld/tileblack.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/tileblack.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_med
{
    q3map_lightimage textures/icyworld/tileblack_med.tga
    qer_editorimage textures/icyworld/qer_tileblack_med_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileblack_med.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_med_sl
{
    qer_editorimage textures/icyworld/tileblack_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack_med.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_sm
{
    q3map_lightimage textures/icyworld/tileblack_sm.tga
    qer_editorimage textures/icyworld/qer_tileblack_sm_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileblack_sm.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_sm_sl
{
    qer_editorimage textures/icyworld/tileblack_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack_sm.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilepeacock
{
    q3map_lightimage textures/icyworld/tilepeacock.tga
    qer_editorimage textures/icyworld/qer_tilepeacock_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilepeacock.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilepeacock_sl
{
    qer_editorimage textures/icyworld/tilepeacock.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilepeacock.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilebanana
{
    q3map_lightimage textures/icyworld/tilebanana.tga
    qer_editorimage textures/icyworld/qer_tilebanana_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilebanana.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilebanana_sl
{
    qer_editorimage textures/icyworld/tilebanana.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilebanana.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilehoneydew
{
    q3map_lightimage textures/icyworld/tilehoneydew.tga
    qer_editorimage textures/icyworld/qer_tilehoneydew_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilehoneydew.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilehoneydew_sl
{
    qer_editorimage textures/icyworld/tilehoneydew.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilehoneydew.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecrimson
{
    q3map_lightimage textures/icyworld/tilecrimson.tga
    qer_editorimage textures/icyworld/qer_tilecrimson_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilecrimson.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecrimson_sl
{
    qer_editorimage textures/icyworld/tilecrimson.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilecrimson.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecrimson_hl
{
    qer_editorimage textures/icyworld/tilecrimson.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/tilecrimson.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilejungle
{
    q3map_lightimage textures/icyworld/tilejungle.tga
    qer_editorimage textures/icyworld/qer_tilejungle_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilejungle.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilejungle_sl
{
    qer_editorimage textures/icyworld/tilejungle.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilejungle.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecarrot
{
    q3map_lightimage textures/icyworld/tilecarrot.tga
    qer_editorimage textures/icyworld/qer_tilecarrot_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilecarrot.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecarrot_sl
{
    qer_editorimage textures/icyworld/tilecarrot.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilecarrot.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecobalt
{
    q3map_lightimage textures/icyworld/tilecobalt.tga
    qer_editorimage textures/icyworld/qer_tilecobalt_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilecobalt.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecobalt_sl
{
    qer_editorimage textures/icyworld/tilecobalt.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilecobalt.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilecobalt_hl
{
    qer_editorimage textures/icyworld/tilecobalt.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/tilecobalt.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilechocolate
{
    q3map_lightimage textures/icyworld/tilechocolate.tga
    qer_editorimage textures/icyworld/qer_tilechocolate_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilechocolate.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilechocolate_sl
{
    qer_editorimage textures/icyworld/tilechocolate.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilechocolate.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileorchid
{
    q3map_lightimage textures/icyworld/tileorchid.tga
    qer_editorimage textures/icyworld/qer_tileorchid_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileorchid.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileorchid_sl
{
    qer_editorimage textures/icyworld/tileorchid.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileorchid.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileorchid_hl
{
    qer_editorimage textures/icyworld/tileorchid.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/tileorchid.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileseashell
{
    q3map_lightimage textures/icyworld/tileseashell.tga
    qer_editorimage textures/icyworld/qer_tileseashell_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileseashell.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileseashell_sl
{
    qer_editorimage textures/icyworld/tileseashell.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileseashell.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileviolet
{
    q3map_lightimage textures/icyworld/tileviolet.tga
    qer_editorimage textures/icyworld/qer_tileviolet_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileviolet.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileviolet_sl
{
    qer_editorimage textures/icyworld/tileviolet.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileviolet.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileviolet_hl
{
    qer_editorimage textures/icyworld/tileviolet.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/tileviolet.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile1
{
    q3map_lightimage textures/icyworld/secret_tile1.tga
    qer_editorimage textures/icyworld/qer_secret_tile1_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/secret_tile1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile1_sl
{
    qer_editorimage textures/icyworld/secret_tile1.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/secret_tile1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile1_hl
{
    qer_editorimage textures/icyworld/secret_tile1.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/secret_tile1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile2
{
    q3map_lightimage textures/icyworld/secret_tile2.tga
    qer_editorimage textures/icyworld/qer_secret_tile2_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/secret_tile2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile2_sl
{
    qer_editorimage textures/icyworld/secret_tile2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/secret_tile2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile3
{
    q3map_lightimage textures/icyworld/secret_tile3.tga
    qer_editorimage textures/icyworld/qer_secret_tile3_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/secret_tile3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile3_sl
{
    qer_editorimage textures/icyworld/secret_tile3.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/secret_tile3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile4
{
    q3map_lightimage textures/icyworld/secret_tile4.tga
    qer_editorimage textures/icyworld/qer_secret_tile4_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/secret_tile4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile4_sl
{
    qer_editorimage textures/icyworld/secret_tile4.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/secret_tile4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/secret_tile4_hl
{
    qer_editorimage textures/icyworld/secret_tile4.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/secret_tile4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/wood
{
    qer_editorimage textures/icyworld/wood.jpg
    q3map_bouncescale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyworld/wood.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/wood_l
{
    qer_editorimage textures/icyworld/qer_wood_l.jpg
    q3map_bouncescale 0.7
    surfaceparm detail
    {
        map textures/icyworld/wood.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/ladder
{
    qer_editorimage textures/icyworld/ladder.jpg
    q3map_bouncescale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/icyworld/ladder.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/glass
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear.tga
    qer_trans 0.6
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_tr
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear_tr.tga
    qer_trans 0.6
    q3map_bounceScale 0.4
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_trans_tr
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear_tr.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_cool
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_cool.tga
    qer_trans 0.6
    q3map_bouncescale 0.2
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
        rgbgen wave sin 0.50 0.15 0.5 0.3
    }
    {
        map textures/_icyworld/blue_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.07 0.02 0 0.3
        tcmod rotate 5
        tcmod scroll 0.005 0.003
    }
}

textures/icyworld/elev_plat
{
    qer_editorimage textures/icyworld/qer_elev_plat.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/elev_plat_tr
{
    qer_editorimage textures/icyworld/qer_elev_plat_tr.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_dark
{
    qer_editorimage textures/icyworld/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bouncescale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbgen vertex
        blendfunc blend
        tcgen environment
    }
}

textures/icyworld/glass_dark_tr
{
    qer_editorimage textures/icyworld/qer_glass_dark_tr.tga
    qer_trans 0.5
    q3map_bouncescale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbgen vertex
        blendfunc blend
        tcgen environment
    }
}

textures/icyworld/red_glow
{
    qer_editorimage textures/icyworld/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 120
    tesssize 64
    cull disable
    {
        map textures/_icyworld/red_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.75 0.25 0 1
    }
}

textures/icyworld/blue_glow
{
    qer_editorimage textures/icyworld/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/blue_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.45 0.15 0 1
        tcmod rotate 20
        tcmod scroll 0.025 0.015
    }
}

textures/icyworld/green_glow
{
    qer_editorimage textures/icyworld/qer_green_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/green_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcmod rotate 20
        tcmod scroll 0.025 0.015
    }
}

textures/icyworld/orange_glow
{
    qer_editorimage textures/icyworld/qer_orange_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/orange_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.30 0.07 0 2
        tcmod rotate 20
        tcmod scroll 0.025 0.015
    }
}

textures/icyworld/green_tile_glow
{
    qer_editorimage textures/icyworld/green_tile_glow.tga
    qer_trans 0.3
    q3map_bouncescale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    {
        map textures/icyworld/green_tile_glow.tga
        blendfunc add
        rgbgen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyworld/green_tile_glow_sl
{
    qer_editorimage textures/icyworld/green_tile_glow.tga
    qer_trans 0.3
    q3map_bouncescale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icyworld/green_tile_glow.tga
        blendfunc add
        rgbgen wave sin 0.05 0.015 0 0.6
    }
}

textures/icyworld/tile_trans_color
{
    qer_editorimage textures/icyworld/tile_trans_color.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonoffset
    {
        map textures/icyworld/tile_trans_color.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/tile_trans
{
    qer_editorimage textures/icyworld/tile_trans.tga
    qer_trans 0.9
    q3map_bouncescale 0.0
    surfaceparm trans
    cull disable
    polygonoffset
    {
        map textures/icyworld/tile_trans.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/white
{
    qer_editorimage textures/icyworld/qer_white_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/white.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/white_sl
{
    qer_editorimage textures/icyworld/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/white.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/white_hl
{
    qer_editorimage textures/icyworld/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/white.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/gray_sl
{
    qer_editorimage textures/icyworld/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/gray.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/gray_hl
{
    qer_editorimage textures/icyworld/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/gray.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/red_sl
{
    qer_editorimage textures/icyworld/lightred.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/lightred.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/portal
{
    qer_editorimage textures/icyworld/portal.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/portal.tga
        tcmod scroll 0 1
    }
}

textures/icyworld/light
{
    qer_editorimage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyworld/light.tga
    }
}

textures/icyworld/light_hl
{
    qer_editorimage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/icyworld/light.tga
    }
}

textures/icyworld/icy_world
{
    qer_editorimage textures/icyworld/icy_world.tga
    polygonoffset
    {
        map textures/icyworld/icy_world.tga
        blendfunc blend
        rgbgen wave sin 0.75 0.25 0 0.4
        alphagen const 1

    }
}

textures/icyworld/teh_end
{
    qer_editorimage textures/icyworld/teh_end.tga
    polygonoffset
    {
        map textures/icyworld/teh_end.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/looking_glass
{
    qer_editorimage textures/icyworld/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_icyworld/looking_glass_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/_icyworld/q3a_looking_glass_fog.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcmod scroll 0.05 0.2
    }
}

textures/icyworld/black
{
    qer_editorimage textures/icyworld/black.tga
    surfaceparm nodamage
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/black_sl
{
    qer_editorimage textures/icyworld/black.tga
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/black_hl
{
    qer_editorimage textures/icyworld/black.tga
    qer_trans 0.5
    surfaceparm nonsolid
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/depressed_button
{
    qer_editorimage textures/icyworld/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/_icyworld/orange.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/icyworld/lightorange.tga
        blendfunc add
        rgbgen const ( 0.4 0.4 0.4 )
    }
}

textures/icyworld/please_wait
{
    qer_editorimage textures/icyworld/qer_please_wait.tga
    polygonoffset
    {
        map textures/_icyworld/please_wait.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/nooby_hell
{
    qer_editorimage textures/icyworld/qer_nooby_hell.tga
    polygonoffset
    {
        map textures/_icyworld/nooby_hell.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/samus_lift
{
    qer_editorimage textures/icyworld/qer_samus_lift.tga
    polygonoffset
    {
        map textures/_icyworld/samus_lift.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/helpa_noob
{
    qer_editorimage textures/icyworld/qer_helpa_noob.tga
    polygonoffset
    {
        map textures/_icyworld/helpa_noob.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/leet_area
{
    qer_editorimage textures/icyworld/qer_leet_area.tga
    polygonoffset
    {
        map textures/_icyworld/leet_area.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/flashing_button
{
    qer_editorimage textures/icyworld/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/_icyworld/red.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/icyworld/lightred.tga
        blendfunc add
        rgbgen wave square 0.20 0.20 0 2.3
    }
}

textures/icyworld/lava
{
    qer_editorimage textures/icyworld/qer_lava.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    tesssize 96
    cull disable
    {
        map textures/_icyworld/q3a_lava_bg.jpg
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/_icyworld/q3a_lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyworld/lavafog
{
    qer_editorimage textures/icyworld/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogparms ( 0.94 0.50 0.16 ) 150
}

textures/icyworld/lava_room_walls
{
    qer_editorimage textures/icyworld/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/lava_room_walls_hl
{
    qer_editorimage textures/icyworld/lava_room_walls.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/adobe_wall
{
    qer_editorimage textures/icyworld/adobe_wall.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/adobe_wall.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/got_leet
{
    qer_editorimage textures/icyworld/qer_got_leet.tga
    qer_trans 0.5
    surfaceparm trans
    sort 10
    polygonoffset
    {
        map textures/_icyworld/got_leet.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/got_noobsy
{
    qer_editorimage textures/icyworld/got_noobsy.tga
    polygonoffset
    {
        map textures/icyworld/got_noobsy.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/dark_floor
{
    qer_editorimage textures/icyworld/dark_floor.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/dark_floor.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/dark_floor_l
{
    qer_editorimage textures/icyworld/qer_dark_floor_l.jpg
    {
        map textures/icyworld/dark_floor.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/dark_floor_nil
{
    qer_editorimage textures/icyworld/qer_dark_floor_nil.jpg
    {
    }
}

textures/icyworld/dark_floor_hl
{
    qer_editorimage textures/icyworld/dark_floor.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/dark_floor.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}


textures/icyworld/dark_ceil
{
    qer_editorimage textures/icyworld/dark_ceil.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/dark_ceil.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/stone_ceil
{
    qer_editorimage textures/icyworld/stone_ceil.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/stone_ceil.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/samus
{
    qer_editorimage textures/icyworld/samus.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icyworld/samus.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/samus_mir
{
    qer_editorimage textures/icyworld/samus_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icyworld/samus_mir.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/leet_tunnel
{
    qer_editorimage textures/icyworld/leet_tunnel.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icyworld/leet_tunnel.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/leet_tunnel_mir
{
    qer_editorimage textures/icyworld/leet_tunnel_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icyworld/leet_tunnel_mir.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/riley
{
    qer_editorimage textures/icyworld/riley.tga
    polygonoffset
    {
        map textures/icyworld/riley.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/walljump
{
    qer_editorimage textures/icyworld/walljump.tga
    surfaceparm nodamage
    {
        map textures/icyworld/walljump.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/barrier
{
    qer_editorimage textures/icyworld/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyworld/barrier.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/lum_faint
{
    qer_editorimage textures/icyworld/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyparms - - -
    q3map_surfacelight 7
    q3map_tesssize 96
    q3map_lightimage textures/icyworld/white.tga
}

textures/icyworld/lum_none
{
    qer_editorimage textures/icyworld/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyparms - - -
    q3map_surfacelight 0
    q3map_tesssize 96
    q3map_lightimage textures/icyworld/white.tga
}

textures/icyworld/bigchecker
{
    qer_editorimage textures/icyworld/qer_bigchecker_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/bigchecker.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/bigchecker_sl
{
    qer_editorimage textures/icyworld/bigchecker.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/bigchecker.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/warning
{
    qer_editorimage textures/icyworld/warning.tga
    q3map_bouncescale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/icyworld/warning.tga
        blendfunc blend
        alphagen const 1
    }
}
